Регистрације путем препоруке
GET https://tistos.com/api/referrals-users/
curl --request GET \
--url 'https://tistos.com/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Детаљи | Опис |
|---|---|---|
| referred_by_has_converted | Opcionalno Ceo broj | Dozvoljene vrednosti: 0, 1 |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: datetime, referred_by_has_converted. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Ceo broj | Број странице за коју желите резултате. Подразумевано је 1. |
| results_per_page | Opcionalno Ceo broj | Колико резултата желите по страници. Дозвољене вредности су: 10, 25, 50, 100, 250, 500, 1000. Подразумевано је 25. |
{
"data": [
{
"referral_code": "ref_a1b2c3",
"status": "converted",
"is_converted": true,
"payment_types": [
"one_time",
"recurring"
],
"commission_statuses": [
"pending",
"approved"
],
"total_affiliate_commissions": 2,
"total_affiliate_commissions_amount": 12.5,
"pending_affiliate_commissions": 1,
"approved_affiliate_commissions": 1,
"withdrawn_affiliate_commissions": 0,
"latest_affiliate_commission_datetime": "2026-10-11 09:32:55",
"currency": "USD",
"datetime": "2026-10-11 09:32:55"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/referrals-users?page=1",
"last": "https://tistos.com/api/referrals-users?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/referrals-users?page=1"
}
}